Subject: Re: Unexpected EOF in 7.2.0

From: John Goerzen <[email-masked]>
Date: Sat, 10 Jul 2021 08:04:15 -0500

On Sat, Jul 10 2021, Sergey Matveev wrote:

> I quickly looked at the code and indeed see some places with 
> plain
> "int"s, instead of "int64"s. I hoped that noone will use 32-bit 
> system
> anymore :-). Thank you very very much for that report! I will 
> create
> 32-bit system in VM and will check its workability there. Hope 
> that
> today I will fix that.

Thank you!

Yes, I'm afraid that 32-bit systems are still very much with us. 
Most of the Raspberry Pi models (which make excellent NNCP nodes) 
are 32-bit.  Even the Pi Model 4, which has a 64-bit CPU, is 
generally run with a 32-bit userland (it is, oddly, often faster 
that way and this lets people have a single image that works on 
all the Pi models).  It is *possible* to run arm64 on the pi 4, 
but rarely is done.

This particular unit is the second Pi I've backed up over NNCP. 
It is probable that the first one never generated a packet over 
2GB, so your theory could fit.

- John